Get AI Deliverability Agent state
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/state \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/state"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/state")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/state",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/state"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"current_activity": {
"active": {
"id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"organization_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"agent_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"activity_code": "check_workspace_settings",
"status": "queued",
"priority": 100,
"payload": {},
"idempotency_key": "cycle:01956fbd-0eb1-72db-a565-82977a586084:check_workspace_settings",
"timestamp_created": "2026-08-20T18:29:58.856Z",
"timestamp_updated": "2026-08-20T18:29:58.856Z",
"sub_messages": [
{
"id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"organization_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"agent_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"activity_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"message_code": "checking_campaign",
"status": "in_progress",
"sort_order": 10,
"payload": {},
"idempotency_key": "campaign:01956fbd-0eb1-72db-a565-82977a586084:copy_scan",
"timestamp_created": "2026-08-20T18:29:58.856Z",
"timestamp_updated": "2026-08-20T18:29:58.856Z",
"subject_type": "campaign",
"subject_id": "campaign",
"subject_name": "campaign",
"result_payload": {},
"error_code": "campaign",
"error_message": "campaign",
"completed_at": "2026-08-20T18:29:58.856Z"
}
],
"cycle_id": "campaign",
"subject_type": "campaign",
"subject_id": "campaign",
"subject_name": "campaign",
"result_payload": {},
"error_code": "campaign",
"error_message": "campaign",
"queued_at": "2026-08-20T18:29:58.856Z",
"started_at": "2026-08-20T18:29:58.856Z",
"completed_at": "2026-08-20T18:29:58.856Z",
"expires_at": "2026-08-20T18:29:58.856Z"
},
"queued": [
{
"id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"organization_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"agent_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"activity_code": "check_workspace_settings",
"status": "queued",
"priority": 100,
"payload": {},
"idempotency_key": "cycle:01956fbd-0eb1-72db-a565-82977a586084:check_workspace_settings",
"timestamp_created": "2026-08-20T18:29:58.856Z",
"timestamp_updated": "2026-08-20T18:29:58.856Z",
"cycle_id": "campaign",
"subject_type": "campaign",
"subject_id": "campaign",
"subject_name": "campaign",
"result_payload": {},
"error_code": "campaign",
"error_message": "campaign",
"queued_at": "2026-08-20T18:29:58.856Z",
"started_at": "2026-08-20T18:29:58.856Z",
"completed_at": "2026-08-20T18:29:58.856Z",
"expires_at": "2026-08-20T18:29:58.856Z"
}
],
"completed_summary": {
"count": 4,
"retention_days": 30,
"last_completed_at": "2026-08-20T18:29:58.856Z"
}
},
"schedule": {
"next_run_at": "2026-08-20T18:29:58.856Z"
},
"run_summary": {
"latest": {
"cycle_id": "campaign",
"status": "completed",
"started_at": "2026-08-20T18:29:58.856Z",
"completed_at": "2026-08-20T18:29:58.856Z",
"total_checks": 8,
"completed_checks": 8,
"healthy_count": 6,
"needs_attention_count": 2,
"info_count": 0,
"failed_count": 0,
"checks": [
{
"activity_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"activity_code": "check_workspace_settings",
"status": "completed",
"outcome": "healthy",
"completed_at": "2026-08-20T18:29:58.856Z"
}
],
"feed_items": [
{
"id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"organization_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"agent_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"feed_code": "workspace_settings_recommendation",
"kind": "recommendation",
"status": "todo",
"severity": "warning",
"priority": 100,
"payload": {},
"dedupe_key": "workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084",
"timestamp_created": "2026-08-20T18:29:58.856Z",
"timestamp_updated": "2026-08-20T18:29:58.856Z",
"source_activity_id": "campaign",
"subject_type": "campaign",
"subject_id": "campaign",
"subject_name": "campaign",
"result_payload": {},
"action_code": "campaign",
"action_status": "campaign",
"action_payload": {},
"completed_at": "2026-08-20T18:29:58.856Z",
"dismissed_at": "2026-08-20T18:29:58.856Z",
"expires_at": "2026-08-20T18:29:58.856Z"
}
]
},
"trend": [
{
"cycle_id": "01956fbd-0eb1-72db-a565-82977a586084",
"completed_at": "2026-08-20T18:29:58.856Z",
"score": 86,
"total_checks": 8,
"healthy_count": 6,
"needs_attention_count": 2,
"info_count": 0,
"failed_count": 0
}
]
},
"activity_feed": {
"items": [
{
"id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"organization_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"agent_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"feed_code": "workspace_settings_recommendation",
"kind": "recommendation",
"status": "todo",
"severity": "warning",
"priority": 100,
"payload": {},
"dedupe_key": "workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084",
"timestamp_created": "2026-08-20T18:29:58.856Z",
"timestamp_updated": "2026-08-20T18:29:58.856Z",
"source_activity_id": "campaign",
"subject_type": "campaign",
"subject_id": "campaign",
"subject_name": "campaign",
"result_payload": {},
"action_code": "campaign",
"action_status": "campaign",
"action_payload": {},
"completed_at": "2026-08-20T18:29:58.856Z",
"dismissed_at": "2026-08-20T18:29:58.856Z",
"expires_at": "2026-08-20T18:29:58.856Z"
}
],
"next_starting_after": "01a0206f-e3c9-73f5-8665-e29040faa1dc"
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Deliverability Agent
Get AI Deliverability Agent state
Get the live state of an AI Deliverability Agent: current activity, schedule, latest run summary, and the activity feed.
Requires one of the following scopes: ai_agents:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
deliverability
/
{id}
/
state
Get AI Deliverability Agent state
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Deliverability Agent ID. Call GET /api/v2/ai-agents/deliverability and use the returned agent.id value to retrieve the workspace default agent ID.
Example:
"01a0206f-e3c8-7c89-bb8e-26ad638ed6a3"
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
Example:
"01956fbd-0eb1-72db-a565-82977a586084"
Filter for the activity feed items.
Available options:
all, todo, done Example:
"all"
⌘I